win上cygwin无法编译安装python 2.7.x

neverno 发布于 2012/11/28 16:42
阅读 3K+
收藏 0

如何使用英特尔®oneAPI工具实现PyTorch 优化,直播火热报名中>>>

cygwin最新py只有2.6.x,但诸如{} format这种问题只能在2.7.x以上跑,就打算自己编译个2.7.x了,找了下资料,http://www.tux.org/~mayer/cygwin/python/index.html,按着做到 make 部分,就出错了。

联系作者还没回复,想来这里问问,有知道什么问题的吗?或者有人用自己的方法成功编译过2.7.x吗?谢谢

环境:
Win7 SP1 32bit
cygwin 2.774
Python 2.7.2 + cygwin-patch


gcc -c -fno-strict-aliasing -g -O2 -DNDEBUG -g -fwrapv -O3 -Wall -Wstrict-prototypes  -I. -IInclude -I./Include   -DPy_BUILD_CORE \
      -DSVNVERSION="\"`LC_ALL=C svnversion .`\"" \
      -DHGVERSION="\"`LC_ALL=C `\"" \
      -DHGTAG="\"`LC_ALL=C `\"" \
      -DHGBRANCH="\"`LC_ALL=C `\"" \
      -o Modules/getbuildinfo.o ./Modules/getbuildinfo.c
./Modules/getbuildinfo.c: In function `_Py_svnversion':
./Modules/getbuildinfo.c:63: error: missing terminating " character
./Modules/getbuildinfo.c:63: error: parse error before ';' token
Makefile:539: recipe for target `Modules/getbuildinfo.o' failed
make: *** [Modules/getbuildinfo.o] Error 1


加载中
0
我怀疑你有问题
neverno
neverno
该评论暂时无法显示,详情咨询 QQ 群:点此入群
0
silaoA
silaoA
为什么会依赖subversion呢?
OSCHINA
登录后可查看更多优质内容
返回顶部
顶部